Bug 274360 - Fuzzy search finds only in few type of pictures
Summary: Fuzzy search finds only in few type of pictures
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Searches-Similarity (show other bugs)
Version: 2.0.0
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-28 16:19 UTC by Axel Krebs
Modified: 2016-11-14 10:56 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2011-05-28 16:19:17 UTC
Version:           2.0.0 (using KDE 4.6.2) 
OS:                Linux

I always stored my pic both as raw _and_ jpg-type pictures.

When I attempt fuzzy search > sketch search, I only get _one_ pic- while the same pic always existes in onother file format too. 

"Is this a bug or a feature"?? (after a MS citation)

Can I provide further information? 


Axel

Reproducible: Always

Steps to Reproduce:
just do fuzzy search > sketch search


Expected Results:  
The search results should absolutely be _independent_ on the very file format. If, then hits should appear pairwise.

OS: Linux (i686) release 2.6.35-28-generic-pae
Compiler: cc
Comment 1 caulier.gilles 2011-06-20 18:00:51 UTC
I'm surprized about the result. Too same image in RAW  + JPEG do not give the same result... There is no filter here. RAW and JPEG must be show in icon view.

Gilles Caulier
Comment 2 caulier.gilles 2014-08-31 09:22:30 UTC
Axel, 

This file still valid using last digiKam 4.2.0 ?

Gilles Caulier
Comment 3 Mario Frank 2016-11-14 10:16:57 UTC
I just tested yesterday with current master branch and variants of the same image. File types involved were: jpg, png, tiff, tif, bmp. All are found both in duplicates and in sketch mode. Also tested with an image which I found in cr2 format and transformed to jpg and png. Did not have any problems to find all images in sketch search.
Thus, i cannot confirm the problem in the current master branch. In fact, it works as expected.
Comment 4 caulier.gilles 2016-11-14 10:56:45 UTC
This is what i suspected too. So i close this file as fixed.

Gilles Caulier